Subject: bug#72684: 29.3; Wayland, daemon: window wont resize

From: Rustom Mody <[email-masked]>
Date: Mon, 19 Aug 2024 17:51:19 +0530

On Mon, Aug 19, 2024 at 5:25 PM Eli Zaretskii <[email-masked]> wrote:
> So you just type "emacs -Q", and get a window that is sometimes very
> small, and you cannot resize it?  Or do you need to do something else?

When I said "I got it" it was because I got it from the above
But it's transient (so its not happening now)

>
> > Seems to happen more with emacs-daemon-client which is my normal usage pattern
>
> This seems to imply that you start Emacs like this:
>
>  $ emacs -Q --daemon
>
> and then connect to it using emacsclient and get a window that cannot
> be resized by mouse or is very small, is that true?

By default I have in my startup applications:

emacs -r -fg-daemon

M shortform to start emacs is my own .desktop file in .local whose exec line is

Exec=/usr/bin/emacsclient -c %F